#![allow(clippy::unwrap_used)]
use router::new_router;
use tokio::net::TcpListener;
use tracing::info;

mod db;
mod router;
mod script;

pub fn run() {
    let rt = tokio::runtime::Runtime::new().unwrap();
    rt.block_on(async {
        tracing_subscriber::fmt::init();

        let app = new_router();

        let listener = TcpListener::bind("0.0.0.0:3000").await.unwrap();
        info!("listening"=?listener.local_addr().unwrap());
        axum::serve(listener, app).await.unwrap();
    });
}
